Bug 1487 - Set only the used fields/subfields
Summary: Set only the used fields/subfields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL: http://koha/admin/marc_subfields_stru...
Whiteboard:
Keywords:
Depends on: 6007
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-08 01:07 UTC by Pascale Nalon
Modified: 2015-12-03 22:11 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot (61.69 KB, image/png)
2011-08-02 16:55 UTC, Katrin Fischer
Details
Bug 1487: Store the "display only used tags/subf" value in a cookie (2.83 KB, patch)
2015-04-08 09:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 1487: Store the "display only used tags/subf" value in a cookie (2.90 KB, patch)
2015-04-08 10:31 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 1487: Store the "display only used tags/subf" value in a cookie (2.90 KB, patch)
2015-04-08 10:33 UTC, Josef Moravec
Details | Diff | Splinter Review
[PASSED QA] Bug 1487: Store the "display only used tags/subf" value in a cookie (3.02 KB, patch)
2015-04-10 14:42 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:31:02 UTC


---- Reported by pascale.nalon@ensmp.fr 2007-10-08 01:07:16 ----

In parameters > setting framework, there's an option that allows to show only the used fields/subfields in a framework.
It's very usefull, but unfortunatly, this setting disapear every time you open the  subfields to modify them.
It would be easier if this option could be stay all along the session.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:31 UTC  ---

This bug was previously known as _bug_ 1487 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1487

Actual time not defined. Setting to 0.0

Comment 1 Pascale Nalon 2011-04-05 13:25:46 UTC
this patch seems to not be push in the 3.2 and later versions ?
Comment 2 Katrin Fischer 2011-08-02 16:55:40 UTC
Created attachment 4813 [details]
Screenshot

The display is broken in current master. The information about the tag is missing and there are no links to edit. Wrong column headers.
Comment 3 Owen Leonard 2011-08-02 16:58:38 UTC
Katrin, what you describe is Bug 6007. I don't think these two are duplicates, but perhaps this one depends on 6007?
Comment 4 Katrin Fischer 2011-08-02 17:03:51 UTC
Hi Owen, I agree, separate bug depending on this. I have added the display bug as blocker, as it's not possible to test this bug without fixing the display first.
Comment 5 Jonathan Druart 2015-04-08 09:18:07 UTC Comment hidden (obsolete)
Comment 6 Josef Moravec 2015-04-08 10:31:26 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2015-04-08 10:33:33 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-04-10 14:42:20 UTC
Created attachment 37657 [details] [review]
[PASSED QA] Bug 1487: Store the "display only used tags/subf" value in a cookie

On the marc framework page, the checkbox to display only used
tags/subfields is always unchecked.
It should be stored into a cookie to always display the same view.

Test plan:
1/ Go on the marc framework page
2/ Check the checkbox
3/ Go somewhere else on the staff interface
4/ Back to the marc framework page, the checkbox should be checked

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Works as advertised, getting datatables error when using feature
but the error exists pre-patch
Comment 9 Jonathan Druart 2015-04-10 14:54:15 UTC
(In reply to Kyle M Hall from comment #8)
> Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
> Works as advertised, getting datatables error when using feature
> but the error exists pre-patch

You shouldn't see it after bug 6007.
Comment 10 Tomás Cohen Arazi 2015-04-30 18:34:26 UTC
Patch pushed to master.

Thanks Jonathan!